Install Eclipse Kepler on Arch Linux
Status: Closed Start date: 08/19/2018
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Development Environment Estimated time: 1.00 hour
Target version: Arch Linux Spent time: 1.50 hour
Description

| had a project that called for developing around Java SE 6, and | needed to set up a development environment from the past. This is
a guide on installing JDK6 and Eclipse Kepler on Arch Linux.

Prepare the Environment

o Make sure the system is up to date:
sudo pacman —-Syu
¢ Install JRE6 and JDK6:

yaourt —-S jre6 jdk6

Install Eclipse

* Download Eclipse Kepler from http://www.eclipse.org/downloads/

e Extract Eclipse to /opt:

sudo tar xzf eclipse-java-kepler-SR2-1linux-gtk-x86_64.tar.gz —-C /opt

® Create a desktop file:

sudo nano /usr/share/applications/eclipse.desktop

o ANd add the following:

[Desktop Entry]

Name=Eclipse

Type=Application

Exec=eclipse

Terminal=false

Icon=eclipse

Comment=Integrated Development Environment
NoDisplay=false
Categories=Development; IDE;

Name [en]=Eclipse

e Give the desktop file permission to be executed, run:

sudo chmod +x /usr/share/applications/eclipse.desktop
e Update the menu desktop files:

sudo desktop-file—-install /usr/share/applications/eclipse.desktop

e Create a symlink for the executable:

cd /usr/local/bin
sudo 1ln -s /opt/eclipse/eclipse

® Add the eclipse icon:

sudo cp /opt/eclipse/icon.xpm /usr/share/pixmaps/eclipse.xpm

Install Maven
The last maven release to support Java SE 6 was 3.2.5.

¢ Download maven 3.2.5:

wget https://archive.apache.org/dist/maven/maven-3/3.2.5/binaries/apache-maven-3.2.5-bin.tar.g
z

e Extract maven to /opt:

tar xzf apache-maven-3.2.5-bin.tar.gz -C /opt

e Edit the .bashrc file:

nano ~/.bashrc

o And add the following:

export PATH=/opt/apache-maven-3.2.5/bin/:$PATH

* Apply the changes to .bashrc"

source ~/.bashrc

e Check that maven was installed correctly:

mvn -version

Resources

e hitps://askubuntu.com/questions/337281/installing-eclipse-kepler
e https://stackoverflow.com/questions/36141186/what-version-of-maven-is-compatible-with-java-6
History

#1 - 08/19/2018 04:48 PM - Daniel Curtis
- Description updated

- Status changed from New to In Progress

#2 - 08/24/2018 12:27 PM - Daniel Curtis
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#3 - 06/10/2019 02:35 PM - Daniel Curtis

- Status changed from Resolved to Closed
